libboost 1.48.0+

If you're coding on or porting to IRIX, this is the forum for discussion.
Post Reply
User avatar
LarBob
Posts: 62
Joined: Mon Dec 25, 2017 4:08 pm
Location: Kentucky, United States
Contact:

libboost 1.48.0+

Post by LarBob » Tue May 29, 2018 1:48 am

Quite frankly, the version of libboost in nekoware is too old to be useful for any new(ish) software. Wondering if anyone has had any success getting a newer version of libboost than the one in nekoware compiled. While I have had some success in getting it to work, I seem unable to compile the boost_filesystem, boost_program-options, and boot_locale libraries, which are often used and as such are pretty necessary. I am using gcc to compile and have tried many different strings of command-line arguments passed to b2 and bjam trying to get it to work. I think the main issue is it trying to compile multithreaded versions of the libraries, which is unsupported by the version of gcc in nekoware. If anyone has any suggestions, let me know.

Here is a link to the .tar.gz of boost version 1.48.0: http://sourceforge.net/projects/boost/f ... 8_0.tar.gz
Here is some info on compiling boost: https://www.boost.org/doc/libs/1_48_0/m ... m-binaries
:Octane: Aezora - Octane - 2xR10k 250 MHz - SI Graphics - 1 GB RAM - 6.5.30f
:O2: Kiki - O2 - R5k 180 MHz - 192 MB RAM - Currently dead
:O3x0-2: Calcifer - Origin 300 - 4xR14k 500 MHz - 2 GB RAM - 6.5.30m
:O3x0-2: Tohru - Origin 350 - 4xR16k 800 MHz - 4 GB RAM - 6.5.30m - on loan from Raion
Mirrors

User avatar
dexter1
Posts: 66
Joined: Thu May 24, 2018 9:30 am
Location: Zoetermeer, The Netherlands

Re: libboost 1.48.0+

Post by dexter1 » Tue May 29, 2018 2:55 pm

The current gcc version in Nekoware indeed has issues with pthread libraries. You could try it with the gcc 4.3 version in obsolete.
I had severe difficulties with libboost 1.54 a couple of years ago, but i blame myself for using mipspro compilers.

User avatar
LarBob
Posts: 62
Joined: Mon Dec 25, 2017 4:08 pm
Location: Kentucky, United States
Contact:

Re: libboost 1.48.0+

Post by LarBob » Tue May 29, 2018 5:25 pm

dexter1 wrote:
Tue May 29, 2018 2:55 pm
The current gcc version in Nekoware indeed has issues with pthread libraries. You could try it with the gcc 4.3 version in obsolete.
I had severe difficulties with libboost 1.54 a couple of years ago, but i blame myself for using mipspro compilers.
Ah, didn't even think to check in obsolete for a different gcc version. Will try, thanks.
:Octane: Aezora - Octane - 2xR10k 250 MHz - SI Graphics - 1 GB RAM - 6.5.30f
:O2: Kiki - O2 - R5k 180 MHz - 192 MB RAM - Currently dead
:O3x0-2: Calcifer - Origin 300 - 4xR14k 500 MHz - 2 GB RAM - 6.5.30m
:O3x0-2: Tohru - Origin 350 - 4xR16k 800 MHz - 4 GB RAM - 6.5.30m - on loan from Raion
Mirrors

Post Reply